org.apache.lucene.queries.function.valuesource

## Class RangeMapFloatFunction

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.RangeMapFloatFunction

-     public class RangeMapFloatFunction
      extends ValueSource

  `RangeMapFloatFunction` implements a map function over another `ValueSource` whose values fall within min and max inclusive to target.
  Normally Used as an argument to a `FunctionQuery`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ValueSource` | `defaultVal`
    `protected float` | `max`
    `protected float` | `min`
    `protected ValueSource` | `source`
    `protected ValueSource` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeMapFloatFunction(ValueSource source, float min, float max, float target, Float def)`
    `RangeMapFloatFunction(ValueSource source, float min, float max, ValueSource target, ValueSource def)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context.
    `String` | `description()` description of field, used in explain()
    `boolean` | `equals(Object o)`
    `FunctionValues` | `getValues(Map context, LeafReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight().
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

      `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### source

          protected final ValueSource source

    - #### min

          protected final float min

    - #### max

          protected final float max

    - #### target

          protected final ValueSource target

    - #### defaultVal

          protected final ValueSource defaultVal

  - ### Constructor Detail

    - #### RangeMapFloatFunction

          public RangeMapFloatFunction(ValueSource source,
                                       float min,
                                       float max,
                                       float target,
                                       Float def)

    - #### RangeMapFloatFunction

          public RangeMapFloatFunction(ValueSource source,
                                       float min,
                                       float max,
                                       ValueSource target,
                                       ValueSource def)

  - ### Method Detail

    - #### description

          public String description()

      Description copied from class: `ValueSource`
      description of field, used in explain()
      Specified by:
        `description` in class `ValueSource`

    - #### getValues

          public FunctionValues getValues(Map context,
                                          LeafReaderContext readerContext)
                                   throws IOException

      Description copied from class: `ValueSource`
      Gets the values for this reader and the context that was previously passed to createWeight(). The values must be consumed in a forward docID manner, and you must call this method again to iterate through the values again.
      Specified by:
        `getValues` in class `ValueSource`
      Throws:
        `IOException`

    - #### createWeight

          public void createWeight(Map context,
                                   IndexSearcher searcher)
                            throws IOException

      Description copied from class: `ValueSource`
      Implementations should propagate createWeight to sub-ValueSources which can optionally store weight info in the context. The context object will be passed to getValues() where this info can be retrieved.
      Overrides:
        `createWeight` in class `ValueSource`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ValueSource`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `ValueSource`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.